org.apache.poi.hemf.record.emfplus

## Enum HemfPlusImage.EmfPlusPixelFormat

- java.lang.Object
- - java.lang.Enum<HemfPlusImage.EmfPlusPixelFormat>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusImage.EmfPlusPixelFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusImage.EmfPlusPixelFormat>
  Enclosing class:
    HemfPlusImage

      public static enum HemfPlusImage.EmfPlusPixelFormat
      extends java.lang.Enum<HemfPlusImage.EmfPlusPixelFormat>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARGB_32BPP`
    `ARGB_64BPP`
    `ARGB1555_16BPP`
    `GRAYSCALE_16BPP`
    `INDEXED_1BPP`
    `INDEXED_4BPP`
    `INDEXED_8BPP`
    `PARGB_32BPP`
    `PARGB_64BPP`
    `RGB_24BPP`
    `RGB_32BPP`
    `RGB_48BPP`
    `RGB555_16BPP`
    `RGB565_16BPP`
    `UNDEFINED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitsPerPixel()` The total number of bits per pixel.
    `int` | `getGDIEnumIndex()` The pixel format enumeration index.
    `boolean` | `isAlpha()` If set, the pixel format includes an alpha transparency component.
    `boolean` | `isCanonical()` If set, the pixel format is "canonical", which means that 32 bits per pixel are supported, with 24-bits for color components and an 8-bit alpha channel.
    `boolean` | `isExtendedColors()` If set, the pixel format supports extended colors in 16-bits per channel.
    `boolean` | `isGDISupported()` If set, the pixel format is supported in Windows GDI.
    `boolean` | `isPaletteIndexed()` If set, the pixel values are indexes into a palette.
    `boolean` | `isPreMultiplied()` If set, each color component in the pixel has been premultiplied by the pixel's alpha transparency value.
    `static HemfPlusImage.EmfPlusPixelFormat` | `valueOf(int id)`
    `static HemfPlusImage.EmfPlusPixelFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusImage.EmfPlusPixelFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final HemfPlusImage.EmfPlusPixelFormat UNDEFINED

    - #### INDEXED_1BPP

          public static final HemfPlusImage.EmfPlusPixelFormat INDEXED_1BPP

    - #### INDEXED_4BPP

          public static final HemfPlusImage.EmfPlusPixelFormat INDEXED_4BPP

    - #### INDEXED_8BPP

          public static final HemfPlusImage.EmfPlusPixelFormat INDEXED_8BPP

    - #### GRAYSCALE_16BPP

          public static final HemfPlusImage.EmfPlusPixelFormat GRAYSCALE_16BPP

    - #### RGB555_16BPP

          public static final HemfPlusImage.EmfPlusPixelFormat RGB555_16BPP

    - #### RGB565_16BPP

          public static final HemfPlusImage.EmfPlusPixelFormat RGB565_16BPP

    - #### ARGB1555_16BPP

          public static final HemfPlusImage.EmfPlusPixelFormat ARGB1555_16BPP

    - #### RGB_24BPP

          public static final HemfPlusImage.EmfPlusPixelFormat RGB_24BPP

    - #### RGB_32BPP

          public static final HemfPlusImage.EmfPlusPixelFormat RGB_32BPP

    - #### ARGB_32BPP

          public static final HemfPlusImage.EmfPlusPixelFormat ARGB_32BPP

    - #### PARGB_32BPP

          public static final HemfPlusImage.EmfPlusPixelFormat PARGB_32BPP

    - #### RGB_48BPP

          public static final HemfPlusImage.EmfPlusPixelFormat RGB_48BPP

    - #### ARGB_64BPP

          public static final HemfPlusImage.EmfPlusPixelFormat ARGB_64BPP

    - #### PARGB_64BPP

          public static final HemfPlusImage.EmfPlusPixelFormat PARGB_64BPP

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static HemfPlusImage.EmfPlusPixelFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusImage.EmfPlusPixelFormat c : HemfPlusImage.EmfPlusPixelFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusImage.EmfPlusPixelFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusImage.EmfPlusPixelFormat valueOf(int id)

    - #### getGDIEnumIndex

          public int getGDIEnumIndex()

      The pixel format enumeration index.

    - #### getBitsPerPixel

          public int getBitsPerPixel()

      The total number of bits per pixel.

    - #### isPaletteIndexed

          public boolean isPaletteIndexed()

      If set, the pixel values are indexes into a palette. If clear, the pixel values are actual colors.

    - #### isGDISupported

          public boolean isGDISupported()

      If set, the pixel format is supported in Windows GDI. If clear, the pixel format is not supported in Windows GDI.

    - #### isAlpha

          public boolean isAlpha()

      If set, the pixel format includes an alpha transparency component. If clear, the pixel format does not include a component that specifies transparency.

    - #### isPreMultiplied

          public boolean isPreMultiplied()

      If set, each color component in the pixel has been premultiplied by the pixel's alpha transparency value. If clear, each color component is multiplied by the pixel's alpha transparency value when the source pixel is blended with the destination pixel.

    - #### isExtendedColors

          public boolean isExtendedColors()

      If set, the pixel format supports extended colors in 16-bits per channel. If clear, extended colors are not supported.

    - #### isCanonical

          public boolean isCanonical()

      If set, the pixel format is "canonical", which means that 32 bits per pixel are supported, with 24-bits for color components and an 8-bit alpha channel. If clear, the pixel format is not canonical.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.